package ai.pai.lensman.upload;

import java.util.ArrayList;

import ai.pai.lensman.bean.SessionBean;

public class UploadPresenter implements UploadContract.Presenter {

    private UploadContract.View uploadView;
    private ArrayList<SessionBean> sessionList;
    private String lensmanId;
    private int sessionSeq;

    public UploadPresenter(UploadContract.View view,String lensmanId){
        this.uploadView = view;
        this.lensmanId = lensmanId;
        sessionList = new ArrayList<>();
    }


    @Override
    public void start() {
        if(sessionList.size()==0){
            uploadView.showEmptyView();
        }else{
            uploadView.showSessionViews();
            uploadView.refreshSessionViews(sessionList);
        }
        sessionSeq = sessionList.size();
    }

    @Override
    public void stop() {

    }

    @Override
    public SessionBean createNewSession() {
        SessionBean sessionBean = new SessionBean();
        sessionBean.lensmanId = lensmanId;
        sessionBean.sessionDate=20160813;
        sessionBean.sessionSeq = sessionSeq+1;
        sessionBean.sessionId ="chengzhenyu_test"+sessionBean.sessionSeq;
        sessionList.add(sessionBean);
        return sessionBean;
    }
}
